import request from '@/utils/request'
import requestDownload from '@/utils/request-download'

export function getDicTree() {
  return request({
    url: '/dictionary/getDicTree',
    method: 'get'
  })
}

export function getDictionarySelectList(param) {
  return request({
    url: '/dictionary/getDictionarySelectList',
    method: 'post',
    data: param
  })
}

export function addOrUpdateDictionary(param) {
  return request({
    url: '/dictionary/addOrUpdateDictionary',
    method: 'post',
    data: param
  })
}

export function deleteDictionary(id) {
  return request({
    url: `/dictionary/deleteDictionary/${id}`,
    method: 'delete'
  })
}

export function getHospitalPageList(param) {
  return request({
    url: '/hospital/getHospitalPageList',
    method: 'post',
    data: param
  })
}

export function addOrUpdateHospital(param) {
  return request({
    url: '/hospital/addOrUpdateHospital',
    method: 'post',
    data: param
  })
}

export function deleteHospital(hospitalId) {
  return request({
    url: `/hospital/deleteHospital/${hospitalId}`,
    method: 'delete'
  })
}

export function getSiteList(param) {
  return request({
    url: '/site/getSiteList',
    method: 'post',
    data: param
  })
}

export function addOrUpdateSite(param) {
  return request({
    url: '/site/addOrUpdateSite',
    method: 'post',
    data: param
  })
}

export function deleteSite(siteId) {
  return request({
    url: `/site/deleteSite/${siteId}`,
    method: 'delete'
  })
}

export function getCROPageList(param) {
  return request({
    url: '/cro/getCROList',
    method: 'post',
    data: param
  })
}

export function addOrUpdateCro(param) {
  return request({
    url: '/cro/addOrUpdateCro',
    method: 'post',
    data: param
  })
}

export function deleteCROCompany(croCompanyId) {
  return request({
    url: `/cro/deleteCro/${croCompanyId}`,
    method: 'delete'
  })
}

export function getSponsorPageList(param) {
  return request({
    url: '/sponsor/getSponsorList',
    method: 'post',
    data: param
  })
}

export function addOrUpdateSponsor(param) {
  return request({
    url: '/sponsor/addOrUpdateSponsor',
    method: 'post',
    data: param
  })
}

export function deleteSponsor(sponsorId) {
  return request({
    url: `/sponsor/deleteSponsor/${sponsorId}`,
    method: 'delete'
  })
}

export function getQaTemplateList(param) {
  return request({
    url: '/QATemplate/GetQaTemplateList',
    method: 'post',
    data: param
  })
}

export function addOrUpdateQATemplate(param) {
  return request({
    url: '/QATemplate/AddOrUpdateQATemplate',
    method: 'post',
    data: param
  })
}

export function deleteQATemplate(qaTemplateId) {
  return request({
    url: `/QATemplate/DeleteQATemplate/${qaTemplateId}`,
    method: 'delete'
  })
}

export function getQaTemplateConfigList(qaTemplateId, modalityId) {
  return request({
    url: `/QATemplate/GetQATemplateConfigedList/${qaTemplateId}/${modalityId}`,
    method: 'get'
  })
}

export function configQATemplateItem(param) {
  return request({
    url: '/QATemplate/ConfigQATemplateItem',
    method: 'post',
    data: param
  })
}

export function getQATemplateItemList(param) {
  return request({
    url: '/QATemplate/GetQATemplateItemList',
    method: 'post',
    data: param
  })
}
export function addOrUpdateQATemplateItem(param) {
  return request({
    url: '/QATemplate/AddOrUpdateQATemplateItem',
    method: 'post',
    data: param
  })
}

export function deleteQATemplateItem(qaTemplateItemId) {
  return request({
    url: `/QATemplate/DeleteQATemplateItem/${qaTemplateItemId}`,
    method: 'delete'
  })
}

export function getQCQuestionConfigureList(param) {
  return request({
    url: `/QCQuestionConfigure/getQCQuestionConfigureList`,
    method: 'post',
    data: param
  })
}

export function addOrUpdateQCQuestionConfigure(param) {
  return request({
    url: `/QCQuestionConfigure/addOrUpdateQCQuestionConfigure`,
    method: 'post',
    data: param
  })
}

export function deleteQCQuestionConfigure(qcQuestionConfigureId) {
  return request({
    url: `/QCQuestionConfigure/deleteQCQuestionConfigure/${qcQuestionConfigureId}`,
    method: 'delete'
  })
}
export function getSystemDocumentList(param) {
  return request({
    url: `/SystemDocument/getSystemDocumentList`,
    method: 'post',
    data: param
  })
}
export function publishSystemDocument(param) {
  return request({
    url: `/SystemDocument/publishSystemDocument`,
    method: 'post',
    data: param
  })
}
export function outLineSystemDocument(param) {
  return request({
    url: `/SystemDocument/outLineSystemDocument`,
    method: 'post',
    data: param
  })
}
export function addOrUpdateSystemDocument(param) {
  return request({
    url: `/SystemDocument/addOrUpdateSystemDocument`,
    method: 'post',
    data: param
  })
}
// 新增/修改通用培训附件
export function addOrUpdateSystemDocumentAttachment(param) {
  return request({
    url: `/SystemDocument/addOrUpdateSystemDocumentAttachment`,
    method: 'post',
    data: param
  })
}
// 通用培训附件列表
export function getSystemDocumentAttachmentList(param) {
  return request({
    url: `/SystemDocument/getSystemDocumentAttachmentList`,
    method: 'post',
    data: param
  })
}
// 删除通用培训附件
export function deleteSystemDocumentAttachment(systemDocumentAttachmentId) {
  return request({
    url: `/SystemDocument/deleteSystemDocumentAttachment/${systemDocumentAttachmentId}`,
    method: 'delete',
  })
}

export function deleteSystemDocument(id) {
  return request({
    url: `/SystemDocument/deleteSystemDocument/${id}`,
    method: 'delete'
  })
}

export function uploadSystemDoc(file) {
  const formData = new FormData()
  formData.append('file', file)
  return request({
    url: `/TrialDocument/UploadSystemDoc`,
    method: 'post',
    data: formData
  })
}

export function getCommonDocumentList(param) {
  return request({
    url: `/CommonDocument/getCommonDocumentList`,
    method: 'post',
    data: param
  })
}
export function getCommonDocument(param) {
  return request({
    url: `/CommonDocument/getCommonDocument`,
    method: 'get',
    params: param
  })
}
export function addOrUpdateCommonDocument(param) {
  return request({
    url: `/CommonDocument/addOrUpdateCommonDocument`,
    method: 'post',
    data: param
  })
}

export function uploadCommonDoc(file) {
  const formData = new FormData()
  formData.append('file', file)
  return request({
    url: `/CommonDocument/UploadCommonDoc`,
    method: 'post',
    data: formData
  })
}

export function DownloadCommonDoc(code) {
  return requestDownload({
    url: `/CommonDocument/DownloadCommonDoc?code=${code}`,
    method: 'get',
    responseType: 'blob'
  })
}

export function DownloadSystemClinicalFile(clinicalDataSystemSetId) {
  return requestDownload({
    url: `/CommonDocument/DownloadSystemClinicalFile?clinicalDataSystemSetId=${clinicalDataSystemSetId}`,
    method: 'get',
    responseType: 'blob'
  })
}

export function getEmailNoticeConfigList(param) {
  return request({
    url: `/EmailNoticeConfig/getEmailNoticeConfigList`,
    method: 'post',
    data: param
  })
}
export function deleteEmailNoticeConfig(id) {
  return request({
    url: `/EmailNoticeConfig/deleteEmailNoticeConfig/${id}`,
    method: 'delete'
  })
}
export function addOrUpdateEmailNoticeConfigList(param) {
  return request({
    url: `/EmailNoticeConfig/addOrUpdateEmailNoticeConfig`,
    method: 'post',
    data: param
  })
}

export function getBasicDataSelect(param) {
  return request({
    url: `/SystemBasicData/getBasicDataSelect`,
    method: 'post',
    data: param
  })
}

export function getSystemBasicDataList(param) {
  return request({
    url: `/SystemBasicData/getSystemBasicDataList`,
    method: 'post',
    data: param
  })
}
export function deleteSystemBasicData(id) {
  return request({
    url: `/SystemBasicData/deleteSystemBasicData/${id}`,
    method: 'delete'
  })
}
export function addOrUpdateSystemBasicData(param) {
  return request({
    url: `/SystemBasicData/addOrUpdateSystemBasicData`,
    method: 'post',
    data: param
  })
}
export function getChildList(parentId) {
  return request({
    url: `/SystemBasicData/getChildList/${parentId}`,
    method: 'get'
  })
}

export function getSystemBasicData(code) {
  return request({
    url: `/SystemBasicData/getSystemBasicData/${code}`,
    method: 'get'
  })
}

export function getSystemAnonymizationList(param) {
  return request({
    url: `/SystemAnonymization/getSystemAnonymizationList`,
    method: 'post',
    data: param
  })
}

export function addOrUpdateSystemAnonymization(param) {
  return request({
    url: `/SystemAnonymization/addOrUpdateSystemAnonymization`,
    method: 'post',
    data: param
  })
}

export function deleteSystemAnonymization(id) {
  return request({
    url: `/SystemAnonymization/deleteSystemAnonymization/${id}`,
    method: 'delete'
  })
}

export function getBasicDicList(param) {
  return request({
    url: `/Dictionary/getBasicDicList`,
    method: 'post',
    data: param
  })
}

export function addOrUpdateBasicDic(param) {
  return request({
    url: `/Dictionary/addOrUpdateBasicDic`,
    method: 'post',
    data: param
  })
}

export function getDictionaryChildList(data) {
  return request({
    url: `/Dictionary/getChildList`,
    method: 'post',
    data
  })
}

export function getClinicalDataSetList(param) {
  return request({
    url: `/ClinicalDataSet/getSystemClinicalDataSystemSetList`,
    method: 'post',
    data: param
  })
}

export function addOrUpdateClinicalDataSet(param) {
  return request({
    url: `/ClinicalDataSet/addOrUpdateClinicalDataSystemSet`,
    method: 'post',
    data: param
  })
}

export function deleteClinicalSetData(id) {
  return request({
    url: `/ClinicalDataSet/deleteClinicalSystemSetData/${id}`,
    method: 'delete'
  })
}

export function getReadingQuestionCriterionSystemList(param) {
  return request({
    url: '/ReadingQuestion/getReadingQuestionCriterionSystemList',
    method: 'post',
    data: param
  })
}

export function setSystemReadingQuestionCriterionIsIsEnable(param) {
  return request({
    url: '/ReadingQuestion/setSystemReadingQuestionCriterionIsIsEnable',
    method: 'post',
    data: param
  })
}

export function getReadingQuestionSystemList(param) {
  return request({
    url: '/ReadingQuestion/getReadingQuestionSystemList',
    method: 'post',
    data: param
  })
}

export function addOrUpdateReadingQuestionSystem(param) {
  return request({
    url: '/ReadingQuestion/addOrUpdateReadingQuestionSystem',
    method: 'post',
    data: param
  })
}
export function deleteReadingQuestionSystem(readingQuestionSystemId) {
  return request({
    url: `/ReadingQuestion/deleteReadingQuestionSystem/${readingQuestionSystemId}`,
    method: 'delete'
  })
}

export function getSystemCriterionOtherQuestion(param) {
  return request({
    url: `/ReadingQuestion/getSystemCriterionOtherQuestion`,
    method: 'post',
    data: param
  })
}

export function getSystemGroupNameList(param) {
  return request({
    url: `/ReadingQuestion/getSystemGroupNameList`,
    method: 'post',
    data: param
  })
}

export function setSystemReadingQuestionCriterionIsCompleteConfig(param) {
  return request({
    url: `/ReadingQuestion/setSystemReadingQuestionCriterionIsCompleteConfig`,
    method: 'post',
    data: param
  })
}

export function getReadingMedicineSystemQuestionList(param) {
  return request({
    url: `/ReadingMedicineQuestion/getReadingMedicineSystemQuestionList`,
    method: 'post',
    data: param
  })
}
export function deleteReadingMedicineSystemQuestion(id) {
  return request({
    url: `/ReadingMedicineQuestion/deleteReadingMedicineSystemQuestion/${id}`,
    method: 'delete'
  })
}
export function addOrUpdateReadingMedicineSystemQuestion(param) {
  return request({
    url: `/ReadingMedicineQuestion/addOrUpdateReadingMedicineSystemQuestion`,
    method: 'post',
    data: param
  })
}

export function getSystemReadingQuestion(param) {
  return request({
    url: `/ReadingImageTask/getSystemReadingQuestion`,
    method: 'post',
    data: param
  })
}

export function getQCQuestionSelectList(param) {
  return request({
    url: `/QCQuestionConfigure/GetQCQuestionSelectList`,
    method: 'post',
    data: param
  })
}

export function getQuestionView(param) {
  return request({
    url: `/QCQuestionConfigure/getQuestionView`,
    method: 'post',
    data: param
  })
}

export function getReadingMedicineSystemOtherQuestion(param) {
  return request({
    url: `/ReadingMedicineQuestion/getReadingMedicineSystemOtherQuestion`,
    method: 'post',
    data: param
  })
}

export function getOrganInfoList(param) {
  return request({
    url: `/OrganInfo/getOrganInfoList`,
    method: 'post',
    data: param
  })
}

export function getOrganPageList(param) {
  return request({
    url: `/OrganInfo/getOrganPageList`,
    method: 'post',
    data: param
  })
}

export function addOrUpdateOrganInfo(param) {
  return request({
    url: `/OrganInfo/addOrUpdateOrganInfo`,
    method: 'post',
    data: param
  })
}

export function deleteOrganInfo(id) {
  return request({
    url: `/OrganInfo/deleteOrganInfo/${id}`,
    method: 'delete'
  })
}

export function getCriterionNidusList(param) {
  return request({
    url: `/OrganInfo/getCriterionNidusList`,
    method: 'post',
    data: param
  })
}

export function addOrUpdateCriterionNidus(param) {
  return request({
    url: `/OrganInfo/addOrUpdateCriterionNidus`,
    method: 'post',
    data: param
  })
}

export function deleteCriterionNidus(id) {
  return request({
    url: `/OrganInfo/deleteCriterionNidus/${id}`,
    method: 'delete'
  })
}

export function copySystemCriterionData(param) {
  return request({
    url: `/ReadingQuestion/copySystemCriterionData`,
    method: 'post',
    data: param
  })
}

export function getTumorAssessmentList(param) {
  return request({
    url: `/ReadingQuestion/getTumorAssessmentList`,
    method: 'post',
    data: param
  })
}

export function getTumorAssessmentPageList(param) {
  return request({
    url: `/ReadingQuestion/getTumorAssessmentPageList`,
    method: 'post',
    data: param
  })
}
export function addOrUpdateTumorAssessment(param) {
  return request({
    url: `/ReadingQuestion/addOrUpdateTumorAssessment`,
    method: 'post',
    data: param
  })
}

export function deleteTumorAssessment(id) {
  return request({
    url: `/ReadingQuestion/deleteTumorAssessment/${id}`,
    method: 'delete'
  })
}
export function addOrUpdateReadingQuestionCriterionSystem(param) {
  return request({
    url: `/ReadingQuestion/addOrUpdateReadingQuestionCriterionSystem`,
    method: 'post',
    data: param
  })
}

export function deleteReadingQuestionCriterionSystem(id) {
  return request({
    url: `/ReadingQuestion/deleteReadingQuestionCriterionSystem/${id}`,
    method: 'delete'
  })
}

export function getBasicConfigSelect(searchKey) {
  return request({
    url: `/Dictionary/getBasicConfigSelect?searchKey=${searchKey}`,
    method: 'get'
  })
}

export function getSystemCriterionSelectList(param) {
  return request({
    url: `/ClinicalDataSet/getSystemCriterionSelectList`,
    method: 'post',
    data: param
  })
}

export function getAssessType(param) {
  return request({
    url: `/ReadingQuestion/getAssessType`,
    method: 'post',
    data: param
  })
}

export function setAssessType(param) {
  return request({
    url: `/ReadingQuestion/setAssessType`,
    method: 'post',
    data: param
  })
}

export function setDictionaryFollowVisitUse(param) {
  return request({
    url: `/ReadingQuestion/setDictionaryFollowVisitUse`,
    method: 'post',
    data: param
  })
}

export function setDictionaryBaseLineUse(param) {
  return request({
    url: `/ReadingQuestion/setDictionaryBaseLineUse`,
    method: 'post',
    data: param
  })
}

export function getSystemOncologyInfo(param) {
  return request({
    url: `/ReadingQuestion/getSystemOncologyInfo`,
    method: 'post',
    data: param
  })
}

export function setSystemOncologyInfo(param) {
  return request({
    url: `/ReadingQuestion/setSystemOncologyInfo`,
    method: 'post',
    data: param
  })
}

export function getCriterionDictionaryList(param) {
  return request({
    url: `/Dictionary/getCriterionDictionaryList?SystemCriterionId=${param.SystemCriterionId}`,
    method: 'get'
  })
}

export function getTrialCriterionDictionaryList(param) {
  return request({
    url: `/Dictionary/getTrialCriterionDictionaryList?TrialCriterionId=${param.TrialCriterionId}`,
    method: 'get'
  })
}

export function setCriterionDictionary(params) {
  return request({
    url: `/ReadingQuestion/setCriterionDictionary`,
    method: 'post',
    data: params
  })
}

export function setSystemGlobalInfo(params) {
  return request({
    url: `/ReadingQuestion/setSystemGlobalInfo`,
    method: 'post',
    data: params
  })
}

export function getSystemGlobalInfo(params) {
  return request({
    url: `/ReadingQuestion/getSystemGlobalInfo`,
    method: 'post',
    data: params
  })
}

export function getCriterionDictionary(params) {
  return request({
    url: `/Dictionary/getCriterionDictionary`,
    method: 'post',
    data: params
  })
}

export function addSystemCriterionDictionaryCode(params) {
  return request({
    url: `/ReadingQuestion/addSystemCriterionDictionaryCode`,
    method: 'post',
    data: params
  })
}

export function deleteSystemCriterionDictionary(params) {
  return request({
    url: `/ReadingQuestion/deleteSystemCriterionDictionary`,
    method: 'post',
    data: params
  })
}

export function synchronizeSystemOrgan(params) {
  return request({
    url: `/OrganInfo/synchronizeSystemOrgan`,
    method: 'post',
    data: params
  })
}

export function editCriterionDictionary(params) {
  return request({
    url: `/ReadingQuestion/editCriterionDictionary`,
    method: 'post',
    data: params
  })
}

export function getSystemClinicalQuestionList(params) {
  return request({
    url: `/ClinicalQuestion/getSystemClinicalQuestionList`,
    method: 'post',
    data: params
  })
}

export function deleteSystemClinicalQuestion(Id) {
  return request({
    url: `/ClinicalQuestion/deleteSystemClinicalQuestion/${Id}`,
    method: 'post'
  })
}

export function addOrUpdateSystemClinicalQuestion(params) {
  return request({
    url: `/ClinicalQuestion/addOrUpdateSystemClinicalQuestion`,
    method: 'post',
    data: params
  })
}

export function getSystemClinicalOtherQuestionList(params) {
  return request({
    url: `/ClinicalQuestion/getSystemClinicalOtherQuestionList`,
    method: 'post',
    data: params
  })
}

export function getSystemClinicalGroupQuestionList(params) {
  return request({
    url: `/ClinicalQuestion/getSystemClinicalGroupQuestionList`,
    method: 'post',
    data: params
  })
}

export function getSystemClinicalTableQuestionList(params) {
  return request({
    url: `/ClinicalQuestion/getSystemClinicalTableQuestionList`,
    method: 'post',
    data: params
  })
}

export function getTrialClinicalTableQuestionList(params) {
  return request({
    url: `/ClinicalQuestion/getTrialClinicalTableQuestionList`,
    method: 'post',
    data: params
  })
}

export function deleteSystemClinicalTableQuestion(id) {
  return request({
    url: `/ClinicalQuestion/deleteSystemClinicalTableQuestion/¥{id}`,
    method: 'post'
  })
}

export function deleteTrialClinicalTableQuestion(id) {
  return request({
    url: `/ClinicalQuestion/deleteTrialClinicalTableQuestion/${id}`,
    method: 'post'
  })
}

export function addOrUpdateSystemClinicalTableQuestion(params) {
  return request({
    url: `/ClinicalQuestion/addOrUpdateSystemClinicalTableQuestion`,
    method: 'post',
    data: params
  })
}

export function addOrUpdateTrialClinicalTableQuestion(params) {
  return request({
    url: `/ClinicalQuestion/addOrUpdateTrialClinicalTableQuestion`,
    method: 'post',
    data: params
  })
}

export function applySystemClinical(params) {
  return request({
    url: `/ClinicalDataSet/applySystemClinical`,
    method: 'post',
    data: params
  })
}

export function getTrialClinicalQuestionList(params) {
  return request({
    url: `/ClinicalQuestion/getTrialClinicalQuestionList`,
    method: 'post',
    data: params
  })
}

export function deleteTrialClinicalQuestion(id) {
  return request({
    url: `/ClinicalQuestion/deleteTrialClinicalQuestion/${id}`,
    method: 'post'
  })
}

export function applyTrialClinical(params) {
  return request({
    url: `/ClinicalDataSet/applyTrialClinical`,
    method: 'post',
    data: params
  })
}

export function addOrUpdateTrialClinicalQuestion(params) {
  return request({
    url: `/ClinicalQuestion/addOrUpdateTrialClinicalQuestion`,
    method: 'post',
    data: params
  })
}

export function getTrialClinicalOtherQuestionList(params) {
  return request({
    url: `/ClinicalQuestion/getTrialClinicalOtherQuestionList`,
    method: 'post',
    data: params
  })
}

export function getTrialClinicalGroupQuestionList(params) {
  return request({
    url: `/ClinicalQuestion/getTrialClinicalGroupQuestionList`,
    method: 'post',
    data: params
  })
}

export function addBasicDicAndChild(params) {
  return request({
    url: `/Dictionary/addBasicDicAndChild`,
    method: 'post',
    data: params
  })
}

export function getClinicalCalculateQuestions(params) {
  return request({
    url: `/ClinicalQuestion/getClinicalCalculateQuestions`,
    method: 'post',
    data: params
  })
}

export function getTrialClinicalQuestionCalculateRelation(params) {
  return request({
    url: `/ClinicalQuestion/getTrialClinicalQuestionCalculateRelation`,
    method: 'post',
    data: params
  })
}

export function getClinicalQuestionFormList(params) {
  return request({
    url: `/ClinicalAnswer/getClinicalQuestionFormList`,
    method: 'post',
    data: params
  })
}

export function getClinicalFormInfo(params) {
  return request({
    url: `/ClinicalAnswer/getClinicalFormInfo`,
    method: 'post',
    data: params
  })
}

export function Upload(params, type) {
  return request({
    url: `/SystemFile/Upload?fileType=${type}`,
    method: 'post',
    data: params
  })
}

export function getTrialUserIdSelectList(trialId) {
  return request({
    url: `/TrialEmailNoticeConfig/getTrialUserIdSelectList?TrialEmailNoticeConfigId=${trialId}`,
    method: 'get'
  })
}

export function getSysEmailNoticeConfigList(params) {
  return request({
    url: `/TrialEmailNoticeConfig/getSysEmailNoticeConfigList`,
    method: 'post',
    data: params
  })
}

export function batchAddSysEmailConfig(params) {
  return request({
    url: `/TrialEmailNoticeConfig/batchAddSysEmailConfig`,
    method: 'post',
    data: params
  })
}

export function deleteTrialEmailNoticeConfig(trialEmailNoticeConfigId) {
  return request({
    url: `/TrialEmailNoticeConfig/deleteTrialEmailNoticeConfig/${trialEmailNoticeConfigId}`,
    method: 'delete'
  })
}

export function addOrUpdateTrialEmailNoticeConfig(params) {
  return request({
    url: `/TrialEmailNoticeConfig/addOrUpdateTrialEmailNoticeConfig`,
    method: 'post',
    data: params
  })
}

export function deleteCommonDocument(commonDocumentId) {
  return request({
    url: `/CommonDocument/deleteCommonDocument/${commonDocumentId}`,
    method: 'delete'
  })
}
//getTrialSiteList
export function getTrialSiteList(params) {
  return request({
    url: `/site/getTrialSiteList`,
    method: 'post',
    data: params
  })
}

// 获取版本记录列表
export function getExploreRecommendList(params) {
  return request({
    url: `/ExploreRecommend/getExploreRecommendList`,
    method: 'post',
    data: params
  })
}
// 新增或修改推荐版本记录
export function addOrUpdateExploreRecommend(params) {
  return request({
    url: `/ExploreRecommend/addOrUpdateExploreRecommend`,
    method: 'post',
    data: params
  })
}
// 删除推荐版本记录
export function deleteExploreRecommend(id) {
  return request({
    url: `/ExploreRecommend/deleteExploreRecommend/${id}`,
    method: 'delete'
  })
}
// 获取推荐版本记录详情
export function getExploreRecommentInfo(params) {
  return request({
    url: `/ExploreRecommend/getExploreRecommentInfo`,
    method: 'get',
    params
  })
}

export function getSystemCalculateQuestions(params) {
  return request({
    url: `/ReadingQuestion/getSystemCalculateQuestions`,
    method: 'post',
    data: params
  })
}

export function getSystemCalculateTableQuestions(params) {
  return request({
    url: `/ReadingQuestion/getSystemCalculateTableQuestions`,
    method: 'post',
    data: params
  })
}
// 添加pd/入组默认邮件
export function batchAddEnrollOrPdEmailConfig(params) {
  return request({
    url: `/TrialEmailNoticeConfig/batchAddEnrollOrPdEmailConfig`,
    method: 'post',
    params
  })
}
// 文件记录-系统文件列表
export function getSysFileTypeList(data) {
  return request({
    url: `/SysFileType/getSysFileTypeList`,
    method: 'post',
    data
  })
}
// 文件记录-新增/编辑系统文件
export function addOrUpdateSysFileType(data) {
  return request({
    url: `/SysFileType/addOrUpdateSysFileType`,
    method: 'post',
    data
  })
}
// 文件记录-删除系统文件
export function deleteSysFileType(id) {
  return request({
    url: `/SysFileType/deleteSysFileType/${id}`,
    method: 'delete'
  })
}
// 项目文档-获取项目菜单
export function getTrialFileTypeData(data) {
  return request({
    url: `/TrialFileType/getTrialFileTypeData`,
    method: 'post',
    data
  })
}
// 项目文档-修改项目菜单启用
export function setAuthorizedView(data) {
  return request({
    url: `/TrialFileType/setAuthorizedView`,
    method: 'post',
    data
  })
}
// 项目文档-新增/修改项目菜单
export function addOrUpdateTrialFileType(data) {
  return request({
    url: `/TrialFileType/addOrUpdateTrialFileType`,
    method: 'post',
    data
  })
}
// 项目文档-删除项目菜单
export function deleteTrialFileType(id) {
  return request({
    url: `/TrialFileType/deleteTrialFileType/${id}`,
    method: 'delete',
  })
}
// 项目文档-报告/文档列表
export function getTrialFinalRecordList(data) {
  return request({
    url: `/TrialFinalRecord/getTrialFinalRecordList`,
    method: 'post',
    data
  })
}
// 项目文档-报告/文档授权
export function authorizedTrialFinalRecord(data) {
  return request({
    url: `/TrialFinalRecord/authorizedTrialFinalRecord`,
    method: 'post',
    data
  })
}
// 项目文档-报告/文档新增/修改
export function addOrUpdateTrialFinalRecord(data) {
  return request({
    url: `/TrialFinalRecord/addOrUpdateTrialFinalRecord`,
    method: 'post',
    data
  })
}
// 项目文档-删除报告/文档
export function deleteTrialFinalRecord(id) {
  return request({
    url: `/TrialFinalRecord/deleteTrialFinalRecord/${id}`,
    method: 'delete',
  })
}
// 项目文档-一般文件记录列表
export function getTrialNormalRecordList(data) {
  return request({
    url: `/TrialNormalRecord/getTrialNormalRecordList`,
    method: 'post',
    data
  })
}
// 项目文档-一般文件记录授权
export function authorizedTTrialNormalRecord(data) {
  return request({
    url: `/TrialNormalRecord/authorizedTTrialNormalRecord`,
    method: 'post',
    data
  })
}
// 项目文档-一般文件记录批量新增
export function batchAddTrialNormalRecord(data) {
  return request({
    url: `/TrialNormalRecord/batchAddTrialNormalRecord`,
    method: 'post',
    data
  })
}
// 项目文档-一般文件记录新增/修改
export function addOrUpdateTrialNormalRecord(data) {
  return request({
    url: `/TrialNormalRecord/addOrUpdateTrialNormalRecord`,
    method: 'post',
    data
  })
}
// 项目文档-删除一般文件记录
export function deleteTrialNormalRecord(id) {
  return request({
    url: `/TrialNormalRecord/deleteTrialNormalRecord/${id}`,
    method: 'delete',
  })
}
// 项目文档-批量删除一般文件记录
export function deleteTrialNormalRecordList(data) {
  return request({
    url: `/TrialNormalRecord/deleteTrialNormalRecordList`,
    method: 'post',
    data
  })
}
// 项目文档-培训记录列表
export function getTrialTrianingRecordList(data) {
  return request({
    url: `/TrialTrianingRecord/getTrialTrianingRecordList`,
    method: 'post',
    data
  })
}
// 项目文档-培训记录新增/修改
export function addOrUpdateTrialTrianingRecord(data) {
  return request({
    url: `/TrialTrianingRecord/addOrUpdateTrialTrianingRecord`,
    method: 'post',
    data
  })
}
// 项目文档-培训记录批量新增/修改
export function batchAddTrialTrianingRecord(data) {
  return request({
    url: `/TrialTrianingRecord/batchAddTrialTrianingRecord`,
    method: 'post',
    data
  })
}
// 项目文档-删除培训记录
export function deleteTrialTrianingRecord(id) {
  return request({
    url: `/TrialTrianingRecord/deleteTrialTrianingRecord/${id}`,
    method: 'delete',
  })
}
// 项目文档-培训记录授权
export function authorizedTrialTrianingRecord(data) {
  return request({
    url: `/TrialTrianingRecord/authorizedTrialTrianingRecord`,
    method: 'post',
    data
  })
}
// 项目文档-阅片人简历
export function getTrialDoctorList(data) {
  return request({
    url: `/DoctorList/getTrialDoctorList`,
    method: 'post',
    data
  })
}
// 项目文档-上传同意入项记录
export function uploadTrialFileTypeFile(data) {
  return request({
    url: `/TrialFileType/uploadTrialFileTypeFile`,
    method: 'post',
    data
  })
}
// 项目文档-获取上传同意入项记录
export function getTrialFileTypeFile(data) {
  return request({
    url: `/TrialFileType/getTrialFileTypeFile`,
    method: 'post',
    data
  })
}
// 项目文档-删除上传同意入项记录
export function deleteTrialTypeFile(params) {
  return request({
    url: `/TrialFileType/deleteTrialTypeFile`,
    method: 'post',
    params
  })
}
// 项目文档-获取资质材料列表
export function getTrialAttachments(data) {
  return request({
    url: `/Attachment/getTrialAttachments`,
    method: 'post',
    data
  })
}
// 项目文档-修改资质材料稽查状态
export function setAuthorizedViewC(data) {
  return request({
    url: `/Attachment/setAuthorizedView`,
    method: 'post',
    data
  })
}
// 项目文档-上传资质材料
export function saveTrialAttachments(data) {
  return request({
    url: `/Attachment/saveTrialAttachments`,
    method: 'post',
    data
  })
}
// 项目文档-资质材料(获取医生列表)
export function getTrialDoctorListC(data) {
  return request({
    url: `/Attachment/getTrialDoctorList`,
    method: 'post',
    data
  })
}
// 项目文档-修改资质材料
export function updateTrialAttachments(data) {
  return request({
    url: `/Attachment/updateTrialAttachments`,
    method: 'post',
    data
  })
}
// 项目文档-删除资质材料
export function deleteAttachment(data) {
  return request({
    url: `/Attachment/deleteAttachment`,
    method: 'post',
    data
  })
}
// 项目文档-获取历史记录列表
export function getTrialHistoryRecordFileList(data) {
  return request({
    url: `/TrialHistoryRecordFile/getTrialHistoryRecordFileList`,
    method: 'post',
    data
  })
}
// 项目文档-新增/修改历史记录
export function addOrUpdateTrialHistoryRecordFile(data) {
  return request({
    url: `/TrialHistoryRecordFile/addOrUpdateTrialHistoryRecordFile`,
    method: 'post',
    data
  })
}
// 项目文档-批量新增历史记录
export function batchAddTrialHistoryRecordFile(data) {
  return request({
    url: `/TrialHistoryRecordFile/batchAddTrialHistoryRecordFile`,
    method: 'post',
    data
  })
}
// 项目文档-删除历史记录
export function deleteTrialHistoryRecordFile(id) {
  return request({
    url: `/TrialHistoryRecordFile/deleteTrialHistoryRecordFile/${id}`,
    method: 'delete',
  })
}
// 邮件管理-批量修改邮件
export function batchUpdateEmail(data) {
  return request({
    url: `/EmailNoticeConfig/batchUpdateEmail`,
    method: 'post',
    data
  })
}

// 隐私政策和用户协议-获取列表
export function getUserAgreementList(data) {
  return request({
    url: `/UserAgreement/getUserAgreementList`,
    method: 'post',
    data
  })
}
// 隐私政策和用户协议-设置当前版本
export function setCurrentVersion(data) {
  return request({
    url: `/UserAgreement/setCurrentVersion`,
    method: 'post',
    data
  })
}
// 隐私政策和用户协议-新增或修改
export function addOrUpdateUserAgreement(data) {
  return request({
    url: `/UserAgreement/addOrUpdateUserAgreement`,
    method: 'post',
    data
  })
}
// 隐私政策和用户协议-删除
export function deleteUserAgreement(id) {
  return request({
    url: `/UserAgreement/deleteUserAgreement/${id}`,
    method: 'delete',
  })
}
// 隐私政策和用户协议-详情
export function getUserAgreementById(data) {
  return request({
    url: `/UserAgreement/getUserAgreementById`,
    method: 'post',
    data
  })
}
// 隐私政策和用户协议-当前版本
export function getCurrentVersionUserAgreements(data) {
  return request({
    url: `/UserAgreement/getCurrentVersionUserAgreements`,
    method: 'post',
    data
  })
}
// 获取系统阅片关键点文件列表
export function getSystemCriterionKeyFileList(data) {
  return request({
    url: `/SystemCriterionKeyFile/getSystemCriterionKeyFileList`,
    method: 'post',
    data
  })
}
// 新增/修改系统阅片关键点文件
export function addOrUpdateSystemCriterionKeyFile(data) {
  return request({
    url: `/SystemCriterionKeyFile/addOrUpdateSystemCriterionKeyFile`,
    method: 'post',
    data
  })
}
// 删除系统阅片关键点文件
export function deleteSystemCriterionKeyFile(systemCriterionKeyFileId) {
  return request({
    url: `/SystemCriterionKeyFile/deleteSystemCriterionKeyFile/${systemCriterionKeyFileId}`,
    method: 'delete'
  })
}
// 获取所有邮件模板
export function getAllEmailNoticeConfigList(param) {
  return request({
    url: `/EmailNoticeConfig/getAllEmailNoticeConfigList`,
    method: 'post',
    data: param
  })
}
// 发送自定义邮件
export function manualSendEmail(param) {
  return request({
    url: `/EmailNoticeConfig/manualSendEmail`,
    method: 'post',
    data: param
  })
}